Bug 822852 - (CVE-2012-2374) CVE-2012-2374 python-tornado: Tornado v2.2.1 tornado.web.RequestHandler.set_header() fix to prevent header injection
CVE-2012-2374 python-tornado: Tornado v2.2.1 tornado.web.RequestHandler.set_h...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120423,repor...
: Security
: 823213 (view as bug list)
Depends On: 822864 823214
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 06:35 EDT by Jan Lieskovsky
Modified: 2012-06-06 01:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 01:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-05-18 06:35:49 EDT
A possibility of header injection / response splitting flaw was found in the way web request handler of Tornado, a scalable, non-blocking web server and tools, performed sanitization of input arguments, provided to routine setting the HTTP response header name and value. If an application using the Tornado web framework accepted untrusted user input and based on that input updated the HTTP headers content (to redirect the user etc.), by providing a specially-crafted input a remote attacker could use this flaw to perform cross-site scripting attacks, cross-user defacement, web cache poisoning etc.

Upstream v2.2.1 release changelog:
[1] http://www.tornadoweb.org/documentation/releases/v2.2.1.html

References:
[2] https://bugs.gentoo.org/show_bug.cgi?id=415903
Comment 1 Jan Lieskovsky 2012-05-18 06:44:06 EDT
This issue did NOT affect the (current) versions of the python-tornado package, as shipped with Fedora release of 15 and 16 (since they are already upstream v2.2.1 based).

--

This issue affects the version of the python-tornado package, as shipped with Fedora EPEL 6. Please schedule an update / rebase.
Comment 2 Jan Lieskovsky 2012-05-18 06:44:31 EDT
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/05/18/6
Comment 3 Jan Lieskovsky 2012-05-18 06:45:40 EDT
Created python-tornado tracking bugs for this issue

Affects: epel-6 [bug 822864]
Comment 4 Kurt Seifried 2012-05-18 13:41:33 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/05/18/12
Comment 5 Thomas Spura 2012-05-20 12:39:47 EDT
*** Bug 823213 has been marked as a duplicate of this bug. ***
Comment 6 Thomas Spura 2012-05-20 12:43:17 EDT
(In reply to comment #1)
> This issue did NOT affect the (current) versions of the python-tornado
> package, as shipped with Fedora release of 15 and 16 (since they are already
> upstream v2.2.1 based).

It DOES affect Fedora as they are upstream 2.2 based, but the version is:
2.2-1
   ^

The Fedora 16 and above tracking bug is bug #823214 (now added as dependency).
Comment 8 Jan Lieskovsky 2012-05-21 03:15:14 EDT
(In reply to comment #6)
> (In reply to comment #1)
> > This issue did NOT affect the (current) versions of the python-tornado
> > package, as shipped with Fedora release of 15 and 16 (since they are already
> > upstream v2.2.1 based).
> 
> It DOES affect Fedora as they are upstream 2.2 based, but the version is:
> 2.2-1
>    ^

Ah, right, correct (when have been looked at NVR overlooked there are just two numbers). Thank you for being so cautios and for the updates.
Comment 9 Fedora Update System 2012-05-29 12:19:44 EDT
python-tornado-2.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-05-29 17:55:58 EDT
python-tornado-2.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-05-29 17:58:30 EDT
python-tornado-2.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Thomas Spura 2012-06-06 01:52:16 EDT
Fedora and epel-6 are now stable.

Closing, thanks for the notification of this flaw.

Note You need to log in before you can comment on or make changes to this bug.